<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://cnpagency.com/people/glenn
 * @since             1.0.0
 * @package           Dvc_Listing_Views
 *
 * @wordpress-plugin
 * Plugin Name:       DVC Listing Views
 * Plugin URI:        https://dvcresalemarket.com
 * Description:       Plugin for recording the number of views a listing has and indicating HOT listings.
 * Version:           1.4.12
 * Author:            Glenn Welser
 * Author URI:        https://cnpagency.com/people/glenn
 * Text Domain:       dvc-listing-views
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'DVC_LISTING_VIEWS_VERSION', '1.4.12' );

if ( ! defined( 'DVC_DISABLE_LISTING_VIEWS' ) ) {
	define( 'DVC_DISABLE_LISTING_VIEWS', false );
}
if ( ! defined( 'DVC_LISTING_VIEWS_CACHE_HOURS' ) ) {
	define( 'DVC_LISTING_VIEWS_CACHE_HOURS', 1 );
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-dvc-listing-views-activator.php
 */
function activate_dvc_listing_views() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-dvc-listing-views-activator.php';
	Dvc_Listing_Views_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-dvc-listing-views-deactivator.php
 */
function deactivate_dvc_listing_views() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-dvc-listing-views-deactivator.php';
	Dvc_Listing_Views_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_dvc_listing_views' );
register_deactivation_hook( __FILE__, 'deactivate_dvc_listing_views' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-dvc-listing-views.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_dvc_listing_views() {

	$plugin = new Dvc_Listing_Views();
	$plugin->run();

}
run_dvc_listing_views();
